# If you want to build this package for use with qmail mailboxes
# go to the %build section.
Summary: popa3d - a tiny POP3 daemon
Name: popa3d
Version: 0.5
Release: 1
License: GPL
Packager: Marcin Siennicki <m.siennicki@cloos.pl>
Url: http://www.openwall.com/popa3d/
Group: System Environment/Daemons
Source0: http://www.openwall.com/popa3d/popa3d-0.5.tar.gz
Source1: http://www.openwall.com/popa3d/popa3d-0.5.tar.gz.sign
Source2: popa3d.pam
Source3: popa3d.xinetd
Source4: popa3d.init
Patch0: popa3d-0.5-rh.patch
Requires: pam
Requires: /etc/pam.d/system-auth
Prereq: xinetd
Buildroot: /usr/src/redhat/BUILD/popa3d-0.5-buildroot
Summary(de): Ein kleiner POP3-Dmon

%description
There're lots of different POP3 servers -- with different feature sets,
performance, and reliability. However, as far as I know, before I started
the work on popa3d, there had been only one with security as one of its
primary design goals: qmail-pop3d. Unfortunately, it would only work with
qmail, and only with its new maildir format. While both qmail and maildirs
do indeed have some advantages, a lot of people continue running other
MTAs, and/or use the older mailbox format, for various reasons. Many of
them need a POP3 server.

%description -l de
Es gibt viele verschiedene POP3-Server -- mit verschiedenen
Eigenschaften, unterschiedlicher Leistungsfhigkeit und
Zuverlssigkeit. Jedoch, soweit ich wei, bevor ich begann an popa3d
zu arbeiten, gab es nur einen mit Sicherheit als primrem
Entwurfsziel: qmail-pop3d. Unglcklicherweise arbeitet dieser nur mit
qmail und nur mit dessen neuem maildir-Format. Obwohl beide, qmail und
maildirs in der Tat einige Vorteile bieten verwenden viele Leute
weiterhin andere MTA und/oder nutzen das alte mailbox-Format, aus
verschiedenen Grnden. Viele von diesen brauchen einen POP3-Server.

%prep
%setup -q
%patch -p1

%build
# If you like to build popa3d with for qmail mailboxes uncomment this:
#
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DQMAIL_MAILBOX" LIBS="-lcrypt -lpam"
#
# and comment this:

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" LIBS="-lcrypt -lpam"

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX="$RPM_BUILD_ROOT/usr"
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT/etc/xinetd.d
mkdir -p $RPM_BUILD_ROOT/var/empty
cp $RPM_SOURCE_DIR/popa3d.init  $RPM_BUILD_ROOT/etc/init.d/popa3d
cp $RPM_SOURCE_DIR/popa3d.pam $RPM_BUILD_ROOT/etc/pam.d/popa3d
cp $RPM_SOURCE_DIR/popa3d.xinetd  $RPM_BUILD_ROOT/etc/xinetd.d/popa3d
chmod 755 $RPM_BUILD_ROOT/etc/init.d/popa3d
chmod 644 $RPM_BUILD_ROOT/etc/pam.d/popa3d
chmod 644 $RPM_BUILD_ROOT/etc/xinetd.d/popa3d
chmod 700 $RPM_BUILD_ROOT/var/empty

%post

if [ "$1" = 1 ]
then
	# check that user 'popa3d' exists
	#
	if grep "^popa3d:" /etc/passwd > /dev/null
	then
		true
	else
		useradd -d /dev/null -s /dev/null -c 'popa3d special account' popa3d 
	fi
fi
/sbin/service xinetd reload > /dev/null 2>&1 || :

%preun
[ -f /var/lock/subsys/popa3d ] && /etc/init.d/popa3d stop

%postun

if [ "$1" = 0 ]
then
	echo "Consider deleting user 'popa3d' too." 1>&2
fi
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%defattr(-,root,root)
%doc DESIGN INSTALL
/usr/sbin/popa3d
/usr/man/man8/popa3d.8.gz
%dir /var/empty/
%config /etc/init.d/popa3d
%config /etc/pam.d/popa3d
%config /etc/xinetd.d/popa3d
